//
#include <Arduino.h>
#include <HardwareSerial.h>
//
//----------------------
//  Define
//----------------------
const int PIN_LEDSYSTEM   = PC13;
const int PERIOD_BLINK    = 133;   // [ms]
// Uart1 - A
const int PIN_UART1_TXD   = PA9;
const int PIN_UART1_RXD   = PA10;
// Uart2 - B
const int PIN_UART2_TXD   = PA2;
const int PIN_UART2_RXD   = PA3;
// Uart3 - C
const int PIN_UART3_TXD   = PB10;
const int PIN_UART3_RXD   = PB11;
//
HardwareSerial Serial1(PIN_UART1_RXD, PIN_UART1_TXD);
// NC HardwareSerial Serial2(PIN_UART2_RXD, PIN_UART2_TXD);
HardwareSerial Serial3(PIN_UART3_RXD, PIN_UART3_TXD);
//
#define UartUSB Serial
#define UartPCA Serial1
#define UartPCB Serial2
#define UartPCC Serial3
//
//----------------------
//  Global
//----------------------
int CounterDebug = 0;
//
//----------------------
//  Main - Setup
//----------------------
void setup(void)
{
  pinMode(PIN_LEDSYSTEM, OUTPUT);
  //
  UartPCA.begin(115200, SERIAL_8N1);
  UartPCB.begin(115200, SERIAL_8N1);
  UartPCC.begin(115200, SERIAL_8N1);
  delay(333);
  //
  UartPCA.println("\r\n*** Esp32Uart-1-PCA ***");
  UartPCB.println("\r\n*** Esp32Uart-2-PCB ***");
  UartPCC.println("\r\n*** Esp32Uart-3-PCC ***");
}
//
//----------------------
//  Main - Loop
//----------------------
void loop(void) 
{
  digitalWrite(PIN_LEDSYSTEM, HIGH);
  delay(PERIOD_BLINK);
  digitalWrite(PIN_LEDSYSTEM, LOW);
  delay(PERIOD_BLINK);
  //
  CounterDebug++;
  //
  UartPCA.print("Esp32Uart-1-PCA> ");
  UartPCA.println(CounterDebug);
  //
  UartPCB.print("Esp32Uart-2-PCB> ");
  UartPCB.println(CounterDebug);  
  //
  UartPCC.print("Esp32Uart-3-PCC> ");
  UartPCC.println(CounterDebug);  
}
